v3.77 [July 12, 2020]
Additions:
- Darth redid his layout and added it in (can't say it's 100% the same, test urself ;)

v3.76 [July 10, 2020]
Fixes:
- S&L Friends datatext wasn't respecting some of the hide by application options, it should behave now
- S&L Friends datatext wasn't wanting to invite anyone to play cross server via realid... behavior should be fixed now

v3.75 [July 8, 2020]
Fixes:
- Fix AFK screen
- Another attempt to fix some lingering minimap icons
- Fixed not able to set your public note from the S&L guild datatext
- Fixed offline indicator from now showing
- Another fix for corruption module in S&L Armory
- Fixed Enhanced Shadows options
- Fixed Reputation gains now showing in chat
- Fixed an error about a frame not there for movers... it was removed by blizzard
- Fixed not able to ctrl + left click to edit note of a friend that is added as a character
- Fixed actionbar option "Checked Texture" not highlighting the AOE selected ability
Changes:
- Adjust some Russian locales so it doesn't look like a drunk wrote them
- Removed S&L Status Report as ElvUI has revamped theirs to show plugins and their version numbers
- Small adjustment to background panels min height
- Removed S&L Datatext Panels as ElvUI now lets you create and customize your own
- Removed option to handle chat as ElvUI made the changes we were looking for
- Some code cleanup
- Updated LibQTip
- Rewrote S&L Friends Datatext (Updated Options for it as well)
- Reworked Minimap Coordinates and a couple of the options to make it play friendly with rectangle minimap... sorry but easier for people to adjust it after the update
- Reduced some cpu usage while using minimap coordinates (minor code update, so not a huge decrease)
Additions:
- Added Ni'aloth to raid progression module
- Enhanced Shadows now support databars like exp, rep, honor, party, raid, raid40
- Added Rectangle Minimap (Limted ability to move the minimap flush to the top of the screen due to masking issues)
Removed:
- Ability to clear Chat History and Editbox History as it is now part of ElvUI
- Removed ability to change the amount of chat messages to save as it is now part of ElvUI
- Removed ability to choose what channels to save the history of as it is now part of ElvUI
- Removed Selected Chat Tab indicator as that is now part of ElvUI
- Removed ability to have reputation bar change to track the most recent reputation change as it is now part of ElvUI
- Removed Keybind Colored when Out of Range as it is now part of ElvUI
- Removed S&L Currency due to ElvUI's revamped Currency DT.  If requests come in for options in the currency dt, we may make a new one or modify ElvUI'
Updates:
- Updated RangeCheck Lib

v3.74 [April 30, 2020]
Fixes:
- Fixed guid datatext error (Round 3)

v3.73 [April 30, 2020]
Fixes:
- Fixed guid datatext error (Round 2)

v3.72 [April 30, 2020]
Fixes:
- Fixed guid datatext error

v3.71 [April 30, 2020]
Fixes:
- Fixed some issues where datatexts were not loading for S&L datatext panels
- Fixed luaerror in /estatus in ElvUI 11.39
Changes:
- Timer bar for keys now uses color set in the objective skin in S&L settings

v3.70 [April 28, 2020]
Fixes:
- Fixed corruption text from sticking around after disabling character armory
- Hopefully squashed scrollbar issues on the character frame
- Fix weird inspect bug
- Fixed not able to move the Auction House when you enable movable frames in Blizzard module
- Fixed a minimap icon from not being catched
- Added new Eternal Traveler hearthstone
- Fix for UpdateAllFonts option to not error for Armory mode
- Fixed CorruptionTooltips compatibility issues
- Fixed corruption eye not detecting mouse being over it, thus not showing tootlip, when in blizzard default position
Additions:
- Added /slstatus for our status panel like elvui so we can help troubleshoot S&L users
Changes:
- Changed effectivelevel description to be more helpful

v3.69 [April 15th, 2020]
Fixes:
- Fixed multiple errors found in inspect section of the Armory Mode

v3.68 [April 15th, 2020]
Fixes:
- Fixed corruption inspect error

v3.67 [April 15th, 2020]
Fixes:
- Fixed Philmod LFG Role icons not working correctly
- Fixed Darth's install where nameplates used the wrong tag for health text format on Enemy NPC and Enemy Player
- Fixed item level font not updating correctly on armory page
- Fixed some armory mode issues for non max level characters (possibly maxed as well)
- Fixed (Maybe) Cinematic issues
Additions:
- Ability to slightly adjust the Eye on character sheet
- Added Echoes of Ny'alotha to currency datatext
- Added corruption/resist values on armory mode
- Added effectivelevel equipment manager tag
Changes:
- Make affixes and timers look better (ex: Challenge Modes)
- Clear up the Enhanced Shadows config section
- Tweaked scrollbar on character sheet stats to possibly help with reported issues

v3.66 [February 6th, 2020]
Fixes:
- Quick fix for DCS compatibility.

v3.65 [February 5th, 2020]
Changes:
- Vehicle bar is now in core ElvUI. Go complain to Simpy about it :D
Fixes:
- Fixed some frames not being movable when the option was enabled. This also fixes some incompatibilities with Rarity.
- Fixed reputation and currency tabs being totally broken when you move character frame away from its default place without "remember position" option enabled.
- Fixed options being on fire (and not loading)
Additions:
- Corruption eye now moves itself so the scrollbar will not be able to overlay it. Also some options for it to show your corruption levels without mouseovering.
- Probably supporting timewalking raids in equip manager o_O

v3.64 [December 23rd, 2019]
Fixes:
- Fixed install errors
- Fixed random armory error for tooltips

v3.63 [December 15th, 2019]
Fixes:
- Inspect transmog info being wrong. Now it will roll back to just name if no item link is available.
- Fixed potential incompatibility with DejaCharacterStats
- Item Level Gradient option error fixed (Blame Darth)
Additions:
- Added an option to control note and officer note text color in guild dt
- Added slash command /slerror that works just like ElvUI's /luaerror but keeps S&L enabled
Changes:
- Since people apparently can't put two and two together, Armory config group will be show yet again with skins disabled providing no options and a text explanation. Hopefully people can at least read.

v3.62 [December 7th , 2019]
Fixes:
- Fixed old armory dbconversion code that kept S&L from loading

v3.61 [December 6th , 2019]
Changes:
- Aura options are gone, cause core ElvUI happened.
Fixes:
- Fixed stats scrollbar feeling like doubling itself
- Some fixes for guild dt. Blame Repooc. (He's right, I have found more since this message lol)
- Sorting fixed for friends. Still blame Repooc.
- Fixed install trying to serach for deprecated table
- Fixed armory trying to convince people they need to enchant their off-hands
Armory:
- Added forgotten option for gems in the armory
- Gradient textures will now also indicate missing stuff
- Decimal values for stats are now working again
- Module copy is now supporting armory
- Added forgotten option for overlay on inspect frame. Blame Darth.

v3.60 [November 10th, 2019]
Requires ElvUI 11.25
Fixes:
- Fixed chat datatpanels no backdrop mode
Changes:
- Guild datatext was rewritten and now seems more responsive to guild roster updates vs previous version and some minor visual changes
- Armory mode is now rewritten. Some stuff is still missing (e.g. being able to see inspect info with target leaving), but the base is in working order and needs to be tested in real world before we'll be concentrating on small visuals. Also keep in mind that this rewrite will reset all your options for armory.

v3.59 [September 25th, 2019]
Fixes:
- Fixed some friends and db conversion errors that sliped through the cracks

v3.58 [September 24th, 2019]
Requires ElvUI 11.23 or higher
Additions:
- DB conversion now will be less under the rug. It will now tell you if anything was changed in its own popup.
Fixes:
- Character Armory Fixed
- Friends Datatext Fixed

v3.57 [September 6th, 2019]
Requires ElvUI 11.22.
Additions:
- Apparently Darth forgot Eternal Palace exists. Now its progress is tracked in tooltips and LFR lockouts are present in time dt.
Changes:
- Removed Bags and Actionbars transparent buttons options. ElvUI deals with those now.
- Removed portrait options for unitframes. ElvUI core function now.
Fixes:
- Fixed clean or first time install errors for locales, this compliments changes in ElvUI.
- Fixed movable frames causing a pletera of errors for "restricted" frames.
- Fixed (probably) datatext panel errors poping up from time to time.
- S&L Friends datatext now can tell apart retail and classic

v3.564 [August 17, 2019]
Changes:
- Changed format of textures used. It is recommended to manually delete S&L folder and install again to avoid duplicate textures with the same format.
Fixes:
- Fixed chat tab width being weird.
- Fixed datatext panels throwing errors in some cases when importing settings.
- Fixed some non-global strings to defy the global locale selection.
- Probably fixed instance indicator not recognizing guild groups.

v3.563 [July 17, 2019]
Additions:
- Added new role icons
- Added prismatic manapearl to currency dt
Fixes:
- Armory now reliably detects essences, not showing damn empty gems. They are now full gems!

v3.562 [July 3, 2019]
Fixes:
- Fixed Darth's noob mistake resulting in portrait alpha not giving a damn about the settings
- Fixed 2 threat position options showing up out of the blue

v3.561 [July 1, 2019]
Additions:
- Added new engineer wormholes to teleport menu
- Added new ore and herb to the list of items deconstruct mode can deal with

v3.56 [June 25, 2019]
Additions:
- Added more hearthstone type items to the portal menu
- Added offset options for target and threat indicators on nameplates
Changes:
- Accounted for changes in ElvUI
- Higher overlay portrait option was removed. Core ElvUI now

v3.551 [June 6th, 2019]
Fixes:
- Fixed tooltip issues with deconstruct button. It should now hide correctly.

v3.55 [May 31st, 2019]
Changes:
- ToggleConfig and ToggleConfigMode was renamed, this fixes the calls to those functions

v3.54 [May 16th, 2019]
Fixes:
- Fixed coloring for quest log underlines
- Fixed wrong raid progress tooltipp
Changes:
- Sort of support for changes in ElvUI 11.11

v3.53 [April 7th, 2019]
Fixes:
- Fixed applying layout reseting nameplates again
- Fixed M+ banner not disappearing when corresponding option is enabled. Statusbar skin and affix style comming at later date.
- Fixed minimap button bar breaking when changing directions
- Fixed Outfitter checkboxes not visible
- Fixed Armory stat scroll not being large enough
- Fixed vehicle bar not thinking crabs are vehicles
- Fixed tooltip appearing for a split-second on raid markers when tooltips are turned off for those
- Fixed war campaing auto order
- Fixed some profile swap errors

Known issues:
Armory items breaking is still under investigation.

v3.521 [March 13th, 2019]
Fixes:
- Fixed install layout profile not having correct raid frame visibility. It should be [nogroup] hide; show
Changes:
- Moving chat datapanels down is still off by default. I'll just reiterate this one again. I want default looks of s&l be as close to original ElvUI as possible. Armory being obvious exception.
Option to enbale that back is under /ec - S&L - Modules - Datatext - Override Chat DT Panels
- Added WardrobeFrame to the list of stuff you can move around

v3.52 [March 12th, 2019]
Version for patch 8.1.5 and ElvUI v11. Please do not update to this version if it is tuesday and you play on EU.
Additions:
- Totally forgot raids exist. Added LFR tracking options for Dazar'Alor and Crucible of Storms. Also added those to raid progression (which also should be working again)
Changes:
- Vehicle seat option removed. ElvUI's core option is enough.
- New ElvUI nameplates support (probably shouldn't blow up)
- Viewport (if you know where it is) is now following new scaling system in ElvUI. Max/min values are still the same. If those somehow will happen to not be enough, let me know.
- New install layout. Keep in mind that those are settings I play with, thus assuming you'll love it at the first glance is wrong. Also this is a "basic" frame of what I use, not included most class/character specific stuff.
So if you are not sure if you should use it, don't. You'll save both your and my time on weird questions like "what on earth is this chtulhu shaped thing on my nameplate?"
- Moving chat data panels down is now off by default
Fixes:
- Fixed errors for order hall/ war campaign talent frame dropping errors when opened for the first time with movable blizz frames enabled (and set to record positions)
This fix overrules old code to prevent some frames randomly jumping around. They shouldn't behave like crazy, but keep a tranq rifle just in case.
- A check was put in place to prevent unknown force from populating saved positions for frames with some next level crazy stuff, resulting in inability to export private options.
- Fixed an error in location panel when trying to open portal menu with no hearthstone of any description being in the inventory or toybox.
- Fixed copy-paste fail in unitframes options causing portrait settings applying only after ui reload
- Another attempt at finding the root of Armory breaking at random. If this doesn't help, I'll need more test info.

Possible issues:
- I wasn't able to test how S&L's quest log collapce/hide feature works with ElvUI's feature to hide in arenas.
Probably will have issues. Please report if you notice something off.
- Some frames will be auto repositioning other frames on first ever load after latest movable frames changes. After that everything should be fine.

v3.511 [March 3rd, 2019]
Fixes:
- Disabling armory now should correctly allow ElvUI to display gear ilvl and enchants (I blame Simpy)
- Fixed stats and stat scrollbar being broken (Still blaming Simpy)

v3.51 [February 24th, 2019]
Requires ElvUI 10.88 to work properly
Misc:
- Adjustments needed to work with ElvUI 10.88 error free (hopefully)

v3.5 [January 22nd, 2019]
Additions:
- Armory and afk screen now support Wakanda trolls and humans living on ships
- Character armory option to color ilvl text based on quality now allows you to select another variant - based on items ilvl compared to average equipped ilvl. Same or higher ilvl will be green, all below will become more red the bigger the difference is.
This one will probably be not accurate for low level toons due to math used here is some afroengineering� and based on max level toons ilvl numbers.
Fixes:
- Rep text now properly shows reputation gains toward that sweet (not) paragon chest
- Fixed icons on datatetxs not following mouseover on load or changing datatexts
- DBM icon for skinned minimap button is now correct
Misc:
- Some profile db conversion was added to account for ilvl text coloring option. Last one with hearthstone priority went withoput problems, but who knows. Just keep an eye on it.
- More attempts to fix seemingly random issue with character armory breaking on equipping new gear. If it breaks again, I'll need as much info of what happened for about a minute period before everything went to hell.

v3.492 [December 19, 2018]
Fixes:
- Localtion panel coordinates link is now working again
Changes:
- Event description frame in calendar is now not movable to avoid positioning issues.

v3.491 [December 14, 2018]
- Fuck blizzard
- Fuck blizzard
- Fuck blizzard
- Fuck blizzard
- Fuck UI department in particular
- Fuck Ion
- Fuck Tom
- Fuck blizzard again
- Fuck blizz forums censorship system

Real one: https://www.tukui.org/forum/viewtopic.php?f=32&t=4621

v3.49 [December 12, 2018]
This is for patch 8.1, should work fine on 8.0 as well
Additions:
- Added apply font to all option. It is under media section.
- Added an option to hide player model in afk screen
- Added token price to currency dt (with option)
- Added some option for currency dt to show less than your full 18 characters list for gold. No more tooltip going off-screen!
Fixes:
- Fixed another instance of AzeriteTooltip incompatibility
- Fixed enhanced shadows not working for right chat data panel
- Fixed viewport being for some reason failing to apply on sertain settings combo due to some magic and global frames shortcuts not working

v3.482 [November 22nd 2018]
Additions:
- Added more options for stat fonts in character screen for armory
Fixes:
- Fixed chat tabs throwing errors on creation
- Fixed some modules not functioning due to forgotten function rename

WIP and To Do:
These are probably going to appear in the next "planned" release for patch 8.1, unless something unexpected happens
- Apply font to all
-Some repositioning for "overflow" chat tabs
- Overhaul of S&L currency datatext


v3.481 [November 21st 2018]
Additions:
- Option for transmog glows in armory. Azerite traits are not going to change from how they are unless a massive request wave happens.

WIP and To Do:
These are probably going to appear in the next "planned" release for patch 8.1, unless something unexpected happens
- Apply font to all
- Some repositioning for "overflow" chat tabs
- Overhaul of S&L currency datatext

v3.48 [November 21st 2018]
Requires ElvUI 10.83 to run
Additions:
- Support for module copy feature
- Added new event hearthstones and dark iron racial to loc panel menu
- Added an option of priority for your hearthstone toys instead of it being hardcoded
- Added 8.1 currencies for new warfront and azerite gear
- Armory now uses custon glows for indicating transmog and azerite trait available
Fixes:
- Fixed (probably) Details chat report not turning into a link.
- Fixed some cases of quality color in bags/bank  not applying on first opening.
- Fixed Armory durability text default offset being a little bit off on some items
- Attempt to avoid another case of item info absence causing graphical glitches in character armory
- Fixed pvp level text not showing up
- Fixed AzeriteTooltip compatibility with armory
- Probably fixed double transmog lines on inspected gear
Changes:
- Tab handling functions were rewritten. Now with any sizing option selected they should properly do "overflow" behavior and show select dropdown buttons for tabs not on screen.
- LFR info on in time datatext will only show active wings info. Blizz functions for getting LFR data are in even more broken than before so they return wrong info about wings and raids you can't get into by using LFG tool.
- Attempting to deal with weird sorting errors in toolbars. Not sure if that will help.
- Removed 3 currencies used by warfronts only from currency datatext.
- Removed an option to reposition incoming healing bars.
- Removed tooltip offset options for tooltip showing up at cursor position. This is in default ElvUI now.
- Changed inspect logic to fallback to default item info if you lost target with inspect window opened. That will result in items not showing transmog and azerite traits.
Misc:
- Attempt to request instanse info less often for minimap indicator
- Backend change to afk screen working logic.

WIP and To Do:
These are probably going to appear in the next "planned" release for patch 8.1
- Apply font to all
- Options for glows in character armory
- Some repositioning for "overflow" chat tabs
- Overhaul of S&L currency datatext

v3.471 [September 23rd 2018]
Fixes:
- This time raid progress really works. I blame Benik!

v3.47 [September 23rd 2018]
Fixes:
- Uldir raid progress (and options for it) should be properly showin in tooltips now
Additions:
- An option to control chat tab resize was added. Apparently automatic script was not judging it right.

v3.46 [September 16th 2018]
Fixes:
- Fixed release spirit popup hiding when you try to look at death recap
Additions:
- Enhanced shadows can now be applied to datatext panels (not for minimap though)
Changes:
- Changed how player class/level line in armory looks for some locales
- Azerite indicator in character screen now looks like default blizz
- Some blizz frames can no longer be moved permanently due to some other issues surfacing out of this

v3.451 [September 7th 2018]
Fixes:
- Fixed typo resulting in errors on load.

v3.45 [September 7th 2018]
Fixes:
- Any addon that creates pins on minimap using HereBeDragons lib will now be ignored while skinning minimap buttons.
- Fixed vehicle bar breaking with masque.
- Addons embedded via AddOnSkins should now position themselves properly
- Fixed inspect armory hiding item level texts when it shouldn't
Additions:
- Enhanced shadows now have option to return UF shadow to how those were prior to v3.44
- Armory stats pane now has an option to enable/disable nearly every stat possible (not all though)
Changes:
- Some frames should not be present on screen at the same time while using the functionality of moving blizzard frames around. E.g. Main Menu and some option screens.

v3.44 [September 2nd 2018]
Fixes:
- Fixes for taints in location bar
- Fixes for QuestGuru skin
- Fixed war camapaign button when skinned
- Fixed azerite items in Inspect
- Fixed inspect transmog indicator (still can bug out on first inspect per session)
- Fixed auto track of reputation
Additions:
- New mage portals to location panel
- More stats added to armory
- Added options for positioning Hearth if Azeroth's level thingy
Changes:
- PvP mover removed. ElvUI deals with that now.
- Enhanced shadows now are applied to power/health bars separately on unitframes

v3.43 [August 13th 2018]
This version has a hard requirement for ElvUI v10.78+ to work
Fixes:
- Fixed toolbars movers still showing up on load.
- Fixed enchant scroll button not showing up.
- Fixed loot announcement not seeing quality of intems. Not that this feature is relevant withou master looter anyways.
- Potentially fixed bag error when equipement set ID was passed as nil.
Changes:
- Changed the way armory checks for weapon enchants. Should be showing warnings for correct weapons now.
- Movable Blizzard frames should be fully functional again.
Additions:
- PvP indicator icon can now show exact honor level for the unit. You don't need to guess now.
- Armory now has options for text offsets. With introduction of this change durability text was moved inside item icon.
- Addedd VAT compatibility
- Added an option to change minimap coordinates color

v3.421 [July 27th 2018]
Fixes:
- Fixed coordinates seemed to not get correct info most of the time

v3.42 [July 26th 2018]
Fixes:
- PvP is even more fixed now�
- Fixed community links now working
- Fixed rare font chage error
- Fixed some weird behavior in movable frames (WIP)
- Fixed objective tracker reseting fonts
- Fixed armory throwing errors at items enhanced with buckes
- Fixed sorting in currency dt (@DTuloJr)
- Fixed progression tooltip errors
Additions:
- Community frame is now movable
- Added korean locale by meloppy (WIP)
- Vehicle bar now has the option to lower number of buttons shown
- Added Sunn Viewports compatibility
Changes:
- Changed the way to get coordinates to accomodate for ElvUI's changes and preventing possible memory leak (this will be fully functional once ElvUI 10.78 is released)
- Changed vehicle seat scaling script. Should be more reliable now
- Due to blizz API being broken (as usual!) we can't get boss kill info on pre-Legion LFR raids. Options for tracking those were removed.
- Toolbars movers are no longer visible when those are disabled
- Re-enabled tooltip section config that was disabled during beta
Misc:
- LibProcessable updated


v3.41 [July 19th 2018]
Fixes:
- Fixed some datatexts trying to register events no longer existing
- Fixed quest log fonts reseting to default all the time
- Fixed pvp module
Additions:
- Added support for GuildRosterManager minimap button


v3.40 [July 18th 2018]
Fixes:
- Fixed copy-paste fails in minimap module
- Fixed WQT compatibility code
- Fixed auras not hiding texts

v3.399 [July 18th 2018]
Fixes:
- Quick fix for copy-paste error in coordinates aquisition

v3.39 [July 17th 2018]
This is the first version for Battle For Azeroth expantion. This will not work untill patch hits your region.
This will also require appropriate version of ElvUI to function.

Fixes:
- Fixed chat problem for CN realms
- Armory should not be broken on load if item quality info is not available
- Fixed Outfitter minimap button not being skinned with appropriate option enabled
Changes:
- Artifact releated features are now removed
- Strata of some elements was risen so they will not fall under minimap
- Order hall options are now in the legacy section. Related options were reset
Additions:
- Azerite items indicator for armory. Looks kinda like transmog indicator but in the different position
- Portrait and aura options for more single unitframes

v3.38 [June 7th 2018]
This is probably the last release version before BfA hits.
Any further fixes will be only available via alpha build.

Fixes:
- Fixed some icons missing from minimap icons bar after v3.36
- Fixed (probably) a random armory error caused by invalid item data from artifact weapons
- Fixed tab fonts for inspect armory not applying on load
- Fixed garrison report button jumping around after loading screens
- Fixed deconstruct mode not working on lockpick with a colorblind mode in wow emabled
- Fixed broken custom textures for classbar when suddenly a new section is added
- Fixed an error in config when no gold data is available for some reason
- Fixed (probably) role icons in raid interface being broken
Additions:
- Added a no backdrop variant for location panel templates
- Added class option for armory background config
Changes:
- Updated LibRealmInfo
- Changed the way legacy modes work (e.g. farm and garrison toolbars). Can take longer to load buttons on some occasions.
- Adopted changes in ElvUI's chat from version 10.74